package cn.ibizlab.r7.runtime.runtimemgr.r7rt_base.domain;

import java.io.Serializable;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.List;
import java.util.ArrayList;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * 应用实体[数据对象能力]
 */
public class UserRoleData implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 数据对象能力标识
     */
    private String userRoleDataId;

    @JsonIgnore
    private boolean userRoleDataIdDirtyFlag;
    
    /**
     * 更新人
     */
    private String updateMan;

    @JsonIgnore
    private boolean updateManDirtyFlag;
    
    /**
     * 部门数据类型
     */
    private String deptDR;

    @JsonIgnore
    private boolean deptDRDirtyFlag;
    
    /**
     * 建立时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    private Timestamp createDate;

    @JsonIgnore
    private boolean createDateDirtyFlag;
    
    /**
     * 数据对象能力名称
     */
    private String userRoleDataName;

    @JsonIgnore
    private boolean userRoleDataNameDirtyFlag;
    
    /**
     * 组织数据类型
     */
    private String orgDR;

    @JsonIgnore
    private boolean orgDRDirtyFlag;
    
    /**
     * 查询表达式
     */
    private String condcontent;

    @JsonIgnore
    private boolean condcontentDirtyFlag;
    
    /**
     * 更新时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    private Timestamp updateDate;

    @JsonIgnore
    private boolean updateDateDirtyFlag;
    
    /**
     * 用户数据类型
     */
    private String userDR;

    @JsonIgnore
    private boolean userDRDirtyFlag;
    
    /**
     * 全部数据
     */
    private Integer isAllData;

    @JsonIgnore
    private boolean isAllDataDirtyFlag;
    
    /**
     * 建立人
     */
    private String createMan;

    @JsonIgnore
    private boolean createManDirtyFlag;
    
    /**
     * 系统预置查询
     */
    private String sysPresetQuery;

    @JsonIgnore
    private boolean sysPresetQueryDirtyFlag;
    
    /**
     * 是否启用
     */
    private Integer enable;

    @JsonIgnore
    private boolean enableDirtyFlag;
    
    /**
     * 业务实体名称
     */
    private String dataEntityName;

    @JsonIgnore
    private boolean dataEntityNameDirtyFlag;
    
    /**
     * 业务实体标识
     */
    private String dataEntityId;

    @JsonIgnore
    private boolean dataEntityIdDirtyFlag;
    

    /**
     * 获取 [数据对象能力标识]
     */
    @JsonProperty("userroledataid")
    public String getUserRoleDataId(){
        return this.userRoleDataId ;
    }

    /**
     * 设置 [数据对象能力标识]
     */
    @JsonProperty("userroledataid")
    public void setUserRoleDataId(String  userRoleDataId){
        this.userRoleDataId = userRoleDataId ;
        this.userRoleDataIdDirtyFlag = true ;
    }

    /**
     * 获取 [数据对象能力标识]脏标记
     */
    @JsonIgnore
    public boolean getUserRoleDataIdDirtyFlag(){
        return this.userRoleDataIdDirtyFlag ;
    }

    /**
     * 获取 [更新人]
     */
    @JsonProperty("updateman")
    public String getUpdateMan(){
        return this.updateMan ;
    }

    /**
     * 设置 [更新人]
     */
    @JsonProperty("updateman")
    public void setUpdateMan(String  updateMan){
        this.updateMan = updateMan ;
        this.updateManDirtyFlag = true ;
    }

    /**
     * 获取 [更新人]脏标记
     */
    @JsonIgnore
    public boolean getUpdateManDirtyFlag(){
        return this.updateManDirtyFlag ;
    }

    /**
     * 获取 [部门数据类型]
     */
    @JsonProperty("deptdr")
    public String getDeptDR(){
        return this.deptDR ;
    }

    /**
     * 设置 [部门数据类型]
     */
    @JsonProperty("deptdr")
    public void setDeptDR(String  deptDR){
        this.deptDR = deptDR ;
        this.deptDRDirtyFlag = true ;
    }

    /**
     * 获取 [部门数据类型]脏标记
     */
    @JsonIgnore
    public boolean getDeptDRDirtyFlag(){
        return this.deptDRDirtyFlag ;
    }

    /**
     * 获取 [建立时间]
     */
    @JsonProperty("createdate")
    public Timestamp getCreateDate(){
        return this.createDate ;
    }

    /**
     * 设置 [建立时间]
     */
    @JsonProperty("createdate")
    public void setCreateDate(Timestamp  createDate){
        this.createDate = createDate ;
        this.createDateDirtyFlag = true ;
    }

    /**
     * 获取 [建立时间]脏标记
     */
    @JsonIgnore
    public boolean getCreateDateDirtyFlag(){
        return this.createDateDirtyFlag ;
    }

    /**
     * 获取 [数据对象能力名称]
     */
    @JsonProperty("userroledataname")
    public String getUserRoleDataName(){
        return this.userRoleDataName ;
    }

    /**
     * 设置 [数据对象能力名称]
     */
    @JsonProperty("userroledataname")
    public void setUserRoleDataName(String  userRoleDataName){
        this.userRoleDataName = userRoleDataName ;
        this.userRoleDataNameDirtyFlag = true ;
    }

    /**
     * 获取 [数据对象能力名称]脏标记
     */
    @JsonIgnore
    public boolean getUserRoleDataNameDirtyFlag(){
        return this.userRoleDataNameDirtyFlag ;
    }

    /**
     * 获取 [组织数据类型]
     */
    @JsonProperty("orgdr")
    public String getOrgDR(){
        return this.orgDR ;
    }

    /**
     * 设置 [组织数据类型]
     */
    @JsonProperty("orgdr")
    public void setOrgDR(String  orgDR){
        this.orgDR = orgDR ;
        this.orgDRDirtyFlag = true ;
    }

    /**
     * 获取 [组织数据类型]脏标记
     */
    @JsonIgnore
    public boolean getOrgDRDirtyFlag(){
        return this.orgDRDirtyFlag ;
    }

    /**
     * 获取 [查询表达式]
     */
    @JsonProperty("condcontent")
    public String getCondcontent(){
        return this.condcontent ;
    }

    /**
     * 设置 [查询表达式]
     */
    @JsonProperty("condcontent")
    public void setCondcontent(String  condcontent){
        this.condcontent = condcontent ;
        this.condcontentDirtyFlag = true ;
    }

    /**
     * 获取 [查询表达式]脏标记
     */
    @JsonIgnore
    public boolean getCondcontentDirtyFlag(){
        return this.condcontentDirtyFlag ;
    }

    /**
     * 获取 [更新时间]
     */
    @JsonProperty("updatedate")
    public Timestamp getUpdateDate(){
        return this.updateDate ;
    }

    /**
     * 设置 [更新时间]
     */
    @JsonProperty("updatedate")
    public void setUpdateDate(Timestamp  updateDate){
        this.updateDate = updateDate ;
        this.updateDateDirtyFlag = true ;
    }

    /**
     * 获取 [更新时间]脏标记
     */
    @JsonIgnore
    public boolean getUpdateDateDirtyFlag(){
        return this.updateDateDirtyFlag ;
    }

    /**
     * 获取 [用户数据类型]
     */
    @JsonProperty("userdr")
    public String getUserDR(){
        return this.userDR ;
    }

    /**
     * 设置 [用户数据类型]
     */
    @JsonProperty("userdr")
    public void setUserDR(String  userDR){
        this.userDR = userDR ;
        this.userDRDirtyFlag = true ;
    }

    /**
     * 获取 [用户数据类型]脏标记
     */
    @JsonIgnore
    public boolean getUserDRDirtyFlag(){
        return this.userDRDirtyFlag ;
    }

    /**
     * 获取 [全部数据]
     */
    @JsonProperty("isalldata")
    public Integer getIsAllData(){
        return this.isAllData ;
    }

    /**
     * 设置 [全部数据]
     */
    @JsonProperty("isalldata")
    public void setIsAllData(Integer  isAllData){
        this.isAllData = isAllData ;
        this.isAllDataDirtyFlag = true ;
    }

    /**
     * 获取 [全部数据]脏标记
     */
    @JsonIgnore
    public boolean getIsAllDataDirtyFlag(){
        return this.isAllDataDirtyFlag ;
    }

    /**
     * 获取 [建立人]
     */
    @JsonProperty("createman")
    public String getCreateMan(){
        return this.createMan ;
    }

    /**
     * 设置 [建立人]
     */
    @JsonProperty("createman")
    public void setCreateMan(String  createMan){
        this.createMan = createMan ;
        this.createManDirtyFlag = true ;
    }

    /**
     * 获取 [建立人]脏标记
     */
    @JsonIgnore
    public boolean getCreateManDirtyFlag(){
        return this.createManDirtyFlag ;
    }

    /**
     * 获取 [系统预置查询]
     */
    @JsonProperty("syspresetquery")
    public String getSysPresetQuery(){
        return this.sysPresetQuery ;
    }

    /**
     * 设置 [系统预置查询]
     */
    @JsonProperty("syspresetquery")
    public void setSysPresetQuery(String  sysPresetQuery){
        this.sysPresetQuery = sysPresetQuery ;
        this.sysPresetQueryDirtyFlag = true ;
    }

    /**
     * 获取 [系统预置查询]脏标记
     */
    @JsonIgnore
    public boolean getSysPresetQueryDirtyFlag(){
        return this.sysPresetQueryDirtyFlag ;
    }

    /**
     * 获取 [是否启用]
     */
    @JsonProperty("enable")
    public Integer getEnable(){
        return this.enable ;
    }

    /**
     * 设置 [是否启用]
     */
    @JsonProperty("enable")
    public void setEnable(Integer  enable){
        this.enable = enable ;
        this.enableDirtyFlag = true ;
    }

    /**
     * 获取 [是否启用]脏标记
     */
    @JsonIgnore
    public boolean getEnableDirtyFlag(){
        return this.enableDirtyFlag ;
    }

    /**
     * 获取 [业务实体名称]
     */
    @JsonProperty("dataentityname")
    public String getDataEntityName(){
        return this.dataEntityName ;
    }

    /**
     * 设置 [业务实体名称]
     */
    @JsonProperty("dataentityname")
    public void setDataEntityName(String  dataEntityName){
        this.dataEntityName = dataEntityName ;
        this.dataEntityNameDirtyFlag = true ;
    }

    /**
     * 获取 [业务实体名称]脏标记
     */
    @JsonIgnore
    public boolean getDataEntityNameDirtyFlag(){
        return this.dataEntityNameDirtyFlag ;
    }

    /**
     * 获取 [业务实体标识]
     */
    @JsonProperty("dataentityid")
    public String getDataEntityId(){
        return this.dataEntityId ;
    }

    /**
     * 设置 [业务实体标识]
     */
    @JsonProperty("dataentityid")
    public void setDataEntityId(String  dataEntityId){
        this.dataEntityId = dataEntityId ;
        this.dataEntityIdDirtyFlag = true ;
    }

    /**
     * 获取 [业务实体标识]脏标记
     */
    @JsonIgnore
    public boolean getDataEntityIdDirtyFlag(){
        return this.dataEntityIdDirtyFlag ;
    }



}
